package emps.v1_nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

// Zadania:
// P2_WypiszWybranych - wypisz tych pracowników, którzy zarabiają co najmniej 10 tys

public class P2_WypiszWybranych {

	public static void main(String[] args) {
		final int limit = 10_000;
		System.out.printf("Pracownicy zarabiający co najmniej %d:%n", limit);
		
		try(Scanner scanner = new Scanner(new File("emps.csv"))) {
			scanner.nextLine(); // aby pominąć pierwszą linię z tytułami kolumn
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				String[] t = linia.split(";");
				int salary = Integer.parseInt(t[4]);
				if(salary >= limit) {
					System.out.printf("Pracownik %s %s (%s) zarabia %s%n", t[1], t[2], t[3], t[4]);
				}
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

}
